fix_functions.cpp File Reference

Implementation of a set of functions for Fix, Fixed, CFix and CFixed classes. More...

`#include <itpp/fixed/fix_functions.h>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

vec | itpp::to_vec (const fixvec &v)
| Converts a fixvec to vec.
cvec | itpp::to_cvec (const cfixvec &v)
| Converts a cfixvec to cvec.
mat | itpp::to_mat (const fixmat &m)
| Converts a fixmat to mat.
cmat | itpp::to_cmat (const cfixmat &m)
| Converts a cfixmat to cmat.
Fix | itpp::abs (const Fix &x)
| Absolute value.
Fix | itpp::real (const CFix &x)
| Real part of complex value.
Fix | itpp::imag (const CFix &x)
| Imaginary part of complex value.
CFix | itpp::conj (const CFix &x)
| Conjugate of complex value.

## Detailed Description

Implementation of a set of functions for Fix, Fixed, CFix and CFixed classes.

Author
  Johan Bergman

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file fix_functions.cpp.

Generated on Mon Jun 10 2024 11:49:27 for IT++ by Doxygen 1.9.8